--- startwm.sh.org	2016-11-06 00:06:37.000000000 +0900
+++ startwm.sh	2016-11-06 00:08:58.000000000 +0900
@@ -8,6 +8,18 @@
     export LANG LANGUAGE
   fi
 
+  # EL7
+  if [ -r /etc/locale.conf ]; then
+    . /etc/locale.conf
+    export LANG
+  fi
+
+  # EL6
+  if [ -r /etc/sysconfig/i18n ]; then
+    . /etc/sysconfig/i18n
+    export LANG
+  fi
+
   # debian
   if [ -r /etc/X11/Xsession ]; then
     . /etc/X11/Xsession
